| gtk-0.11.2: Binding to the Gtk+ graphical user interface library. | Contents | Index
Graphics.UI.Gtk.Misc.DrawingArea |
Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Contents
Detail Class Hierarchy Types Constructors Methods
Description
A widget for custom user interface elements
Synopsis
data DrawingArea
class WidgetClass o => DrawingAreaClass o
castToDrawingArea :: GObjectClass obj => obj -> DrawingArea
gTypeDrawingArea :: GType
toDrawingArea :: DrawingAreaClass o => o -> DrawingArea
drawingAreaNew :: IO DrawingArea
drawingAreaGetDrawWindow :: DrawingArea -> IO DrawWindow
drawingAreaGetSize :: DrawingArea -> IO (Int, Int)
Detail
The `DrawingArea` widget is used for creating custom user interface elements. It's essentially a blank widget; you can draw on the `Drawable` returned by `drawingAreaGetDrawWindow`. After creating a drawing area, the application may want to connect to: Mouse and button press signals to respond to input from the user. The `realize` signal to take any necessary actions when the widget is instantiated on a particular display. (Create GDK resources in response to this signal.) The `configureEvent` signal to take any necessary actions when the widget changes size. The `exposeEvent` signal to handle redrawing the contents of the widget. Expose events are normally delivered when a drawing area first comes onscreen, or when it's covered by another window and then uncovered (exposed). You can also force an expose event by adding to the "damage region" of the drawing area's window; `widgetQueueDrawArea` and windowInvalidateRect are equally good ways to do this. You'll then get an expose event for the invalid region. The available routines for drawing are documented on the GDK Drawing Primitives page. To receive mouse events on a drawing area, you will need to enable them with `widgetAddEvents`. To receive keyboard events, you will need to set the `widgetCanFocus` attribute on the drawing area, and should probably draw some user-visible indication that the drawing area is focused.
Class Hierarchy
     |  GObject
     |   +----Object
     |         +----Widget
     |               +----DrawingArea
Types
data DrawingArea
Instances
Eq DrawingArea |
Ord DrawingArea |
GObjectClass DrawingArea |
DrawingAreaClass DrawingArea |
WidgetClass DrawingArea |
ObjectClass DrawingArea |
class WidgetClass o => DrawingAreaClass o
Instances
DrawingAreaClass DrawingArea |
castToDrawingArea :: GObjectClass obj => obj -> DrawingArea
gTypeDrawingArea :: GType
toDrawingArea :: DrawingAreaClass o => o -> DrawingArea
Constructors
drawingAreaNew :: IO DrawingArea
Creates a new drawing area.
Methods
drawingAreaGetDrawWindow :: DrawingArea -> IO DrawWindow
See `widgetGetDrawWindow`
drawingAreaGetSize :: DrawingArea -> IO (Int, Int)
See `widgetGetSize`
Produced by Haddock version 2.7.2